
QGIS Application - Bug report #18272

QGIS 3.0.0 crashed when clicked on zoom to extent in 3D viewer

2018-02-28 01:29 PM - Andy Whyte

Status: Closed

Priority: High

Assignee:

Category: 3D

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 26163

Description

User Feedback

I was opening up the 3d view screen and clicked on zoom to extent.

Report Details

Crash ID: e3c2a9e060da4491cea373e694113d09b7d34d55

Stack Trace

DrvSetLayerPaletteEntries :

DrvSetLayerPaletteEntries :

DrvSetLayerPaletteEntries :

DrvSetLayerPaletteEntries :

RegisterProcTableCallback :

DrvSetLayerPaletteEntries :

Qt3DRender::Render::Renderer::performDraw :

Qt3DRender::Render::Renderer::executeCommandsSubmission :

Qt3DRender::Render::Renderer::submitRenderViews :

Qt3DRender::Render::Renderer::doRender :

Qt3DRender::Render::Renderer::render :

Qt3DRender::Render::NodeManagers::renderTargetManager :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

Related issues:

Duplicates QGIS Application - Bug report # 17315: 3D Viewer: QGIS Crash when ... Feedback 2017-10-22

History

#1 - 2018-02-28 01:31 PM - Giovanni Manghi
Why this was opened... closed?

#2 - 2018-02-28 01:45 PM - Andy Whyte

- Status changed from Closed to Reopened

#3 - 2018-02-28 01:46 PM - Giovanni Manghi

- Status changed from Reopened to Open

- Priority changed from Normal to High

Can you add the data, or it just happen with any data?

#4 - 2018-02-28 01:50 PM - Andy Whyte

Tried this again and got the same error just from opening a new 3D map view

#5 - 2018-02-28 01:53 PM - Giovanni Manghi

Andy Whyte wrote:

Tried this again and got the same error just from opening a new 3D map view

is data related or independent?

#6 - 2018-02-28 01:58 PM - Andy Whyte

- File contour.shp added

This is the data I was using... seems to work intermittently.

#7 - 2018-02-28 02:00 PM - Giovanni Manghi

Andy Whyte wrote:

This is the data I was using... seems to work intermittently.

just the .shp is not enough (shx, dbf and prj missing). And what about the underlying elevation model?

#8 - 2018-02-28 02:03 PM - Andy Whyte

- File contour.shx added

- File contour.dbf added

I have added the .dbf and .shx, I do not have a .prj.

It does not work without or with the underlying elevation model.
#9 - 2018-02-28 02:07 PM - Giovanni Manghi

Andy Whyte wrote:

I have added the .dbf and .shx, I do not have a .prj.

It does not work without or with the underlying elevation model.

do you know the CRS of your data?

#10 - 2018-02-28 02:11 PM - Andy Whyte

Giovanni Manghi wrote:

Andy Whyte wrote:

I have added the .dbf and .shx, I do not have a .prj.

It does not work without or with the underlying elevation model.

do you know the CRS of your data?

Yes it is EPSG: 27700 BNG

#11 - 2018-06-13 11:29 AM - Martin Dobias

- Duplicates Bug report #17315: 3D Viewer: QGIS Crash when activating 3D Map view and 3D renderer added

#12 - 2018-06-13 11:30 AM - Martin Dobias

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #17315 (the same backtrace as reported there)

Files

contour.shp 4.53 MB 2018-02-28 Andy Whyte

contour.shx 39.8 KB 2018-02-28 Andy Whyte

contour.dbf 104 KB 2018-02-28 Andy Whyte
